<?php
/*********************************
	WP-Piwik::Stats:Systems
**********************************/

	$aryConf['data'] = $this->call_API(
			'UserSettings.getOS', 
			$aryConf['params']['period'], 
			$aryConf['params']['date'],
			$aryConf['params']['limit']
	);
	$aryConf['title'] = __('Operating System', 'wp-piwik');
	include('header.php');
	$strValues = '';
	$intCount = 0; $intMore = 0; $intSum = 0;
	foreach ($aryConf['data'] as $key => $aryValues) {
		$intCount++;
		if ($intCount <= 9) $strValues .= '["'.$aryValues['label'].'",'.$aryValues['nb_uniq_visitors'].'],';
		else $intMore += $aryValues['nb_uniq_visitors'];
		$intSum += $aryValues['nb_uniq_visitors'];
	}
	if ($intMore) $strValues .= '["'.__('Others', 'wp-piwik').'",'.$intMore.'],';
	$strValues = substr($strValues, 0, -1);


/***************************************************************************/ ?>
<div class="wp-piwik-graph-wide">
	<div id="wp-piwik_stats_systems_graph" style="height:310px;width:490px"></div>
</div>
<div class="table">
	<table class="widefat wp-piwik-table">
		<thead>
			<tr>
				<th><?php _e('Operating System', 'wp-piwik'); ?></th>
				<th class="n"><?php _e('Unique', 'wp-piwik'); ?></th>
				<th class="n"><?php _e('Percent', 'wp-piwik'); ?></th>
			</tr>
		</thead>
		<tbody>
<?php /************************************************************************/
	foreach ($aryConf['data'] as $aryValues)
		echo '<tr><td>'.
				$aryValues['label'].
			'</td><td class="n">'.
				$aryValues['nb_uniq_visitors'].
			'</td><td class="n">'.
				number_format($aryValues['nb_uniq_visitors']/$intSum*100, 2).
			'%</td></tr>';
	unset($aryTmp);
/***************************************************************************/ ?>
		</tbody>
	</table>
</div>
<script type="text/javascript">
$j.jqplot('wp-piwik_stats_systems_graph', [[<?php echo $strValues; ?>]], {
    seriesDefaults:{renderer:$j.jqplot.PieRenderer, rendererOptions:{sliceMargin:8}},
    legend:{show:true}

});
</script>
<?php /************************************************************************/
	include ('footer.php');

/* EOF */
